# Interface methods for submodule: GE5ImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IPLCommonImageIOProxy as _IPLCommonImageIOProxy


# Interface methods for class: GE5ImageIO
class GE5ImageIOProxy(_IPLCommonImageIOProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, FileNameToRead) -> bool:
		""""""
		...

	def ModifyImageInformation(self) -> None:
		""""""
		...

